Completed

bitcoinjs-server installation

This project was successfully completed by jibyjose001 for $210 USD in a day.

Get free quotes for a project like this
Employer working
Completed by:
Skills Required
Project Budget
$30 - $250 USD
Completed In
1 day
Total Bids
4
Project Description

I'm attempting to install the following open source project: [url removed, login to view] However, I cannot get the source to install. The github project is partially abandoned and I need a stable version installed on an Ubuntu server ([url removed, login to view]) running [url removed, login to view] v0.10.22. For this project I need a replicable solution that I can use to get through the installation process.

The error I'm encountering is:

> leveldb@0.7.1 preinstall /usr/lib/node_modules/bitcoinjs/node_modules/leveldb

> make build

if [ ! -d ./build ]; then node-gyp configure; fi

gyp WARN EACCES user "root" does not have permission to access the dev dir "/root/.node-gyp/[url removed, login to view]"

gyp WARN EACCES attempting to reinstall using temporary dev dir "/usr/lib/node_modules/bitcoinjs/node_modules/leveldb/.node-gyp"

gyp http GET [url removed, login to view]

gyp http 200 [url removed, login to view]

node-gyp build

make[1]: Entering directory `/usr/lib/node_modules/bitcoinjs/node_modules/leveldb/build'

make[1]: *** No rule to make target `../.node-gyp/[url removed, login to view]', needed by `Makefile'. Stop.

make[1]: Leaving directory `/usr/lib/node_modules/bitcoinjs/node_modules/leveldb/build'

gyp ERR! build error

gyp ERR! stack Error: `make` failed with exit code: 2

gyp ERR! stack at [url removed, login to view] (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/[url removed, login to view]:23)

gyp ERR! stack at [url removed, login to view] ([url removed, login to view]:17)

gyp ERR! stack at [url removed, login to view] ([url removed, login to view]:12)

gyp ERR! System Linux 3.11.0-12-generic

gyp ERR! command "node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/[url removed, login to view]" "build"

gyp ERR! cwd /usr/lib/node_modules/bitcoinjs/node_modules/leveldb

gyp ERR! node -v [url removed, login to view]

gyp ERR! node-gyp -v v0.11.0

gyp ERR! not ok

make: *** [build] Error 1

> kerberos@0.0.3 install /usr/lib/node_modules/bitcoinjs/node_modules/mongodb/node_modules/kerberos

> (node-gyp rebuild 2> [url removed, login to view]) || (exit 0)

npm ERR! error rolling back Error: ENOTEMPTY, rmdir '/usr/lib/node_modules/bitcoinjs/node_modules/mongodb/node_modules'

npm ERR! error rolling back bitcoinjs@0.2.8 { [Error: ENOTEMPTY, rmdir '/usr/lib/node_modules/bitcoinjs/node_modules/mongodb/node_modules']

npm ERR! error rolling back errno: 53,

npm ERR! error rolling back code: 'ENOTEMPTY',

npm ERR! error rolling back path: '/usr/lib/node_modules/bitcoinjs/node_modules/mongodb/node_modules' }

npm ERR! leveldb@0.7.1 preinstall: `make build`

npm ERR! Exit status 2

npm ERR!

npm ERR! Failed at the leveldb@0.7.1 preinstall script.

npm ERR! This is most likely a problem with the leveldb package,

npm ERR! not with npm itself.

npm ERR! Tell the author that this fails on your system:

npm ERR! make build

npm ERR! You can get their info via:

npm ERR! npm owner ls leveldb

npm ERR! There is likely additional logging output above.

npm ERR! System Linux 3.11.0-12-generic

npm ERR! command "/usr/bin/node" "/usr/bin/npm" "install" "bitcoinjs" "-g"

npm ERR! cwd /var/www-dev

npm ERR! node -v [url removed, login to view]

npm ERR! npm -v [url removed, login to view]

npm ERR! code ELIFECYCLE

There are some open issues that address my problem, but none of the solutions seem to work: [url removed, login to view]

SUBMIT DATE

LAST UPDATED

Looking to make some money?

  • Set your budget and the timeframe
  • Outline your proposal
  • Get paid for your work

Hire Freelancers who also bid on this project

    • Forbes
    • The New York Times
    • Time
    • Wall Street Journal
    • Times Online